使用Gradle构buildAndroid应用程序时的新警告

昨天没事,今天在清理或者build设项目的时候显示这个警告:

警告:忽略Android API工件com.google.android:android:2.1_r1 for appDebug警告:忽略Android API工件com.google.android:android:2.1_r1 for appRelease

我认为这是由Android的gradle插件更新造成的。

有人知道这是什么意思?

  • testing版本和程序版本的Android应用程序 - NoSuchMethodError
  • Gradle:错误:包名称不止一个库“com.google.android.gms”
  • 无法parsingcom.google.android.gms play-services-auth:11.4.0
  • 在Android Studio中testing不同风味的包
  • 属性'inputFile'指定的app-debug-unaligned.apk不存在
  • 使用0.4.3 Android Studio,错误:“Gradle项目同步失败。 基本function(如编辑,debugging)将无法正常工作“
  • Gradle构build在Android Studio 1.3更新后挂起
  • Android Gradle Project将构build工具升级到21.0.1:aapt抛出exception
  • 通常情况下,如果这个库将用于Android项目,java库依赖于com.google.android:android

    然后,您可以从目标Android项目的依赖项中排除此模块。 喜欢这个:

     compile ('some.library.that.depends.on.android') { exclude group: 'com.google.android' } 

    我通过更新我的gradle版本解决了这个问题。

    build.gradle(Project)

     classpath 'com.android.tools.build:gradle:+'